### Function Macro

# GLib scanner_add_symbol

deprecated: 2.2

#### Declaration

    #define g_scanner_add_symbol (
      scanner,
      symbol,
      value
    )

#### Description

Adds a symbol to the default scope.

Deprecated since: 2.2

Use `g_scanner_scope_add_symbol()` instead.

This function is not directly available to language bindings.

#### Parameters

`scanner`

  Type: `-`

  A `GScanner`.

`symbol`

  Type: `-`

  The symbol to add.

`value`

  Type: `-`

  The value of the symbol.